package com.goafanti.admin.bo;

import com.goafanti.common.constant.AFTConstants;
import com.goafanti.common.model.Role;
import org.apache.commons.lang3.time.DateFormatUtils;

import java.util.Date;
import java.util.List;

public class AdminListBo {

	private String	id;

	/**
	 * 手机号(登录帐号)
	 */
	private String	mobile;

	/**
	 * 用户名
	 */
	private String	name;

	/**
	 * 密码
	 */
	private String password;

	/**
	 * 邮箱
	 */
	private String	email;

	/**
	 * 创建时间
	 */
	private Date	createTime;

	/**
	 * 员工工号
	 */
	private Integer	number;

	/**
	 * 所在省份
	 */
	private String	province;

	/**
	 * 所在市
	 */
	private String city;

	/**
	 * 岗位
	 */
	private String	position;

	/**
	 * 上级管理用户名称
	 */
	private String	superior;

	/**
	 * 上级管理用户ID
	 */
	private String	superiorId;

	/** 部门ID **/
	private String departmentId;

	/** 部门名称 **/
	private String departmentName;

	/** 用户状态 **/
	private String status;

	/** 用户编号 **/
	@SuppressWarnings("unused")
	private String userNo;

	/** 职务 **/
	private String duty;

	/**
	 * 最后登录时间
	 */
	private String lastLoginTime;
	/** 角色 **/
	private List<Role> roles;

	/** 角色 id**/
	private List<String> rolesName;


	private String contactMobile;

	private String contactId;

	private String openId;

	/**
	 * 审核人
	 */
	private String reviewer;

	/**
	 * 部门负责人
	 */
	private String depManager;
	/**
	 * 部门财务负责人
	 */
	private String depFinance;

	/**
	 *  0新员工 1老员工
	 */
	private Integer seniorStaff;
	/**
	 *  公出权限 0正常 1全部
	 */
	private Integer publicPurview;
	private Integer expenseSuperExamine;

	private String ambId;
	private String ancestors;
	private Integer ambManage;

	private String ambName;
	private String ancestorsNames;
	private String ambRole;
	private String publicCarbonCopy;

	private Integer teamId;
	private String teamName;

	public Integer getTeamId() {
		return teamId;
	}

	public void setTeamId(Integer teamId) {
		this.teamId = teamId;
	}

	public String getTeamName() {
		return teamName;
	}

	public void setTeamName(String teamName) {
		this.teamName = teamName;
	}

	public String getPublicCarbonCopy() {
		return publicCarbonCopy;
	}

	public void setPublicCarbonCopy(String publicCarbonCopy) {
		this.publicCarbonCopy = publicCarbonCopy;
	}

	public Integer getExpenseSuperExamine() {
		return expenseSuperExamine;
	}

	public void setExpenseSuperExamine(Integer expenseSuperExamine) {
		this.expenseSuperExamine = expenseSuperExamine;
	}

	public String getDepFinance() {
		return depFinance;
	}

	public void setDepFinance(String depFinance) {
		this.depFinance = depFinance;
	}

	public Integer getPublicPurview() {
		return publicPurview;
	}

	public void setPublicPurview(Integer publicPurview) {
		this.publicPurview = publicPurview;
	}

	public Integer getSeniorStaff() {
		return seniorStaff;
	}

	public void setSeniorStaff(Integer seniorStaff) {
		this.seniorStaff = seniorStaff;
	}

	public String getAmbId() {
		return ambId;
	}

	public void setAmbId(String ambId) {
		this.ambId = ambId;
	}

	public String getAncestors() {
		return ancestors;
	}

	public void setAncestors(String ancestors) {
		this.ancestors = ancestors;
	}

	public Integer getAmbManage() {
		return ambManage;
	}

	public void setAmbManage(Integer ambManage) {
		this.ambManage = ambManage;
	}

	public String getAmbRole() {
		return ambRole;
	}

	public void setAmbRole(String ambRole) {
		this.ambRole = ambRole;
	}

	public String getAmbName() {
		return ambName;
	}

	public void setAmbName(String ambName) {
		this.ambName = ambName;
	}

	public String getDepManager() {
		return depManager;
	}

	public void setDepManager(String depManager) {
		this.depManager = depManager;
	}

	public String getReviewer() {
		return reviewer;
	}

	public void setReviewer(String reviewer) {
		this.reviewer = reviewer;
	}

	public List<String> getRolesName() {
		return rolesName;
	}

	public void setRolesName(List<String> rolesName) {
		this.rolesName = rolesName;
	}

	public String getAncestorsNames() {
		return ancestorsNames;
	}

	public void setAncestorsNames(String ancestorsNames) {
		this.ancestorsNames = ancestorsNames;
	}

	public List<Role> getRoles() {
		return roles;
	}

	public void setRoles(List<Role> roles) {
		this.roles = roles;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getUserNo() {
		return "";
	}

	public void setUserNo(String userNo) {
		this.userNo = userNo;
	}

	public String getDuty() {
		return duty;
	}

	public void setDuty(String duty) {
		this.duty = duty;
	}

	public String getSuperiorId() {
		return superiorId;
	}

	public void setSuperiorId(String superiorId) {
		this.superiorId = superiorId;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}

	public String getSuperior() {
		return superior;
	}

	public void setSuperior(String superior) {
		this.superior = superior;
	}

	public String getDepartmentId() {
		return departmentId;
	}

	public void setDepartmentId(String departmentId) {
		this.departmentId = departmentId;
	}

	public String getDepartmentName() {
		return departmentName;
	}

	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}

	// 创建时间
	public String getCreateTimeFormattedDate() {
		if (this.createTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getCreateTime(), AFTConstants.YYYYMMDDHHMMSS);
		}
	}

	public void setCreateTimeFormattedDate(String createTimeFormattedDate) {

	}

	public String getLastLoginTime() {
		return lastLoginTime;
	}

	public void setLastLoginTime(String lastLoginTime) {
		this.lastLoginTime = lastLoginTime;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getContactMobile() {
		return contactMobile;
	}

	public void setContactMobile(String contactMobile) {
		this.contactMobile = contactMobile;
	}

	public String getContactId() {
		return contactId;
	}

	public void setContactId(String contactId) {
		this.contactId = contactId;
	}

	public String getOpenId() {
		return openId;
	}

	public void setOpenId(String openId) {
		this.openId = openId;
	}

}
